# Uses of Enum
org.apache.zookeeper.Watcher.Event.EventType

Packages that use Watcher.Event.EventType
Package
Description
org.apache.zookeeper
org.apache.zookeeper.server
ZooKeeper server theory of operation
org.apache.zookeeper.server.watch

## Uses of Watcher.Event.EventType in org.apache.zookeeper

Subclasses with type arguments of type Watcher.Event.EventType in org.apache.zookeeper
Modifier and Type
Class
Description
`static enum`
`Watcher.Event.EventType`
Enumeration of types of events that may occur on the ZooKeeper
Methods in org.apache.zookeeper that return Watcher.Event.EventType
Modifier and Type
Method
Description
`static Watcher.Event.EventType`
Watcher.Event.EventType.`fromInt(int intValue)`
`Watcher.Event.EventType`
WatchedEvent.`getType()`
`static Watcher.Event.EventType`
Watcher.Event.EventType.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Watcher.Event.EventType[]`
Watcher.Event.EventType.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.apache.zookeeper that return types with arguments of type Watcher.Event.EventType
Modifier and Type
Method
Description
`Map<Watcher.Event.EventType, Set<Watcher>>`
WatchDeregistration.`unregister(int rc)`
Unregistering watcher that was added on path.
Methods in org.apache.zookeeper with parameters of type Watcher.Event.EventType
Modifier and Type
Method
Description
`Set<Watcher>`
ClientWatchManager.`materialize(Watcher.Event.KeeperState state, Watcher.Event.EventType type, String path)`
Return a set of watchers that should be notified of the event.
Constructors in org.apache.zookeeper with parameters of type Watcher.Event.EventType
Modifier
Constructor
Description
``
`WatchedEvent(Watcher.Event.EventType eventType, Watcher.Event.KeeperState keeperState, String path)`
Create a WatchedEvent with specified type, state and path
``
`WatchedEvent(Watcher.Event.EventType eventType, Watcher.Event.KeeperState keeperState, String path, long zxid)`
Create a WatchedEvent with specified type, state, path and zxid

## Uses of Watcher.Event.EventType in org.apache.zookeeper.server

Methods in org.apache.zookeeper.server that return Watcher.Event.EventType
Modifier and Type
Method
Description
`Watcher.Event.EventType`
DumbWatcher.`getMostRecentEventType()`

## Uses of Watcher.Event.EventType in org.apache.zookeeper.server.watch

Methods in org.apache.zookeeper.server.watch with parameters of type Watcher.Event.EventType
Modifier and Type
Method
Description
`WatcherOrBitSet`
IWatchManager.`triggerWatch(String path, Watcher.Event.EventType type, long zxid, List<ACL> acl)`
Distribute the watch event for the given path.
`WatcherOrBitSet`
IWatchManager.`triggerWatch(String path, Watcher.Event.EventType type, long zxid, List<ACL> acl, WatcherOrBitSet suppress)`
Distribute the watch event for the given path, but ignore those suppressed ones.
`WatcherOrBitSet`
WatchManager.`triggerWatch(String path, Watcher.Event.EventType type, long zxid, List<ACL> acl)`
`WatcherOrBitSet`
WatchManager.`triggerWatch(String path, Watcher.Event.EventType type, long zxid, List<ACL> acl, WatcherOrBitSet supress)`
`WatcherOrBitSet`
WatchManagerOptimized.`triggerWatch(String path, Watcher.Event.EventType type, long zxid, List<ACL> acl)`
`WatcherOrBitSet`
WatchManagerOptimized.`triggerWatch(String path, Watcher.Event.EventType type, long zxid, List<ACL> acl, WatcherOrBitSet suppress)`